Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Как установить последнюю версию Ruby?  (Прочитано 1396 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Вопрос может быть слишком наивный, но проблема в том, что терминал предлагает установить версию 1.8.1, когда уже давно есть версия 2.2.3.
Как установить последнюю версию Руби?

Оффлайн svtv1

  • Забанен
  • Старожил
  • *
  • Сообщений: 2652
  • Это Я
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #1 : 13 Ноября 2015, 21:07:05 »
Видимо то что прелогает терминал, стабильная версия, а та что вышла давным давно бета, когда предлогает, после чего, ты ее устанавливал и какая ОС?
« Последнее редактирование: 13 Ноября 2015, 21:16:50 от svtv1 »
"Если достаточно долго сидеть возле реки - мимо проплывет труп твоего врага"

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #2 : 13 Ноября 2015, 21:11:42 »
Я её ещё не установил. Xubuntu 14.04.
« Последнее редактирование: 13 Ноября 2015, 21:20:58 от Vladimir Mark »

Оффлайн svtv1

  • Забанен
  • Старожил
  • *
  • Сообщений: 2652
  • Это Я
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #3 : 13 Ноября 2015, 21:17:30 »
Да и еще, говори, что за прога (язык программирования), ставь ту которую предлогает терминал.
"Если достаточно долго сидеть возле реки - мимо проплывет труп твоего врага"

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #4 : 13 Ноября 2015, 21:21:04 »
Установить хочу Ruby 2.2.3
Тобишь придется ставить старую версию? Я то изучаю последнюю версию. Вдруг там есть кардинальные изменения. :(

Оффлайн svtv1

  • Забанен
  • Старожил
  • *
  • Сообщений: 2652
  • Это Я
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #5 : 13 Ноября 2015, 21:33:05 »
Можешь установить новую (я не пробовал), скачивай деб пакет с оф сайта и вперед, но одно маленькое может быть твоя система не поддержит эту версию, поэтому и требует стабильную, вообщем тебе решать.
"Если достаточно долго сидеть возле реки - мимо проплывет труп твоего врага"

Оффлайн Marka

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #6 : 13 Ноября 2015, 21:33:44 »
Спасибо

Оффлайн F12

  • Администратор
  • Старожил
  • *
  • Сообщений: 4702
    • Просмотр профиля
Re: Как установить последнюю версию Ruby?
« Ответ #7 : 14 Ноября 2015, 08:59:18 »
Вопрос может быть слишком наивный, но проблема в том, что терминал предлагает установить версию 1.8.1, когда уже давно есть версия 2.2.3.
Как установить последнюю версию Руби?
На ресурсе https://www.ruby-lang.org/ru/downloads/ предлагается для установки в Ubuntu версию 1.9.2, или даже новее, командой в терминале:sudo apt-get install ruby1.9.1Кроме того, там же предлагается установить стабильные версии Ruby (текущую, предыдущую и старую) из исходного кода...

Пользователь решил продолжить мысль 14 Ноября 2015, 09:49:08:
...а вот деб пакетов я там, почему-то, не увидел ::)
« Последнее редактирование: 14 Ноября 2015, 09:49:08 от F12 »

 

Страница сгенерирована за 0.13 секунд. Запросов: 23.